import os
from couleurs import *

LARGEUR_ECRAN = 800
HAUTEUR_ZONE_INFO = 50
HAUTEUR_ZONE_JEU = 600
HAUTEUR_ECRAN = HAUTEUR_ZONE_INFO + HAUTEUR_ZONE_JEU

DIR = os.path.abspath(os.path.dirname(__file__))
FICHIER_NIVEAUX = DIR + '/donnees/niveaux.json'
FICHIER_SCORES = DIR + '/donnees/scores'

# Position verticale des aliens
ALIENS_Y = 80
COULEURS_ALIENS = ('vert', 'bleu', 'jaune', 'orange', 'violet')
POINTS_ALIENS = dict(
    vert=5,
    bleu=10,
    jaune=20,
    orange=30,
    violet=40,
)
TEMPS_EXPLOSION_ALIEN = 100
PAS_ALIEN = 1
# Nombre de pixels lorsque les aliens decendent vers le bas
PAS_ALIEN_VERTICAL = 50

# Nombre de chiffres du score
LONGUEUR_SCORE = 6
NB_VIES = 5

# Directions
GAUCHE, DROITE, HAUT, BAS = range(4)

# Commandes
CMD_GAUCHE = 'Left'
CMD_DROITE = 'Right'
# CMD_TIRER = 'Alt_L'
CMD_TIRER = 'w'
CMD_PAUSE = 'p'


PAS_CANON = 3
DELAI_DEPLACEMENT_PROJECTILE_CANON = 5
PAS_PROJECTILE_CANON = 4
TEMPS_DEGAT_CANON = 100
TEMPS_EXPLOSION_CANON = 250


# Dimension d'un bloc (en pixel)
DIM_BLOC = 8, 8
# Dimension d'une zone de blocs (en bloc)
DIM_BLOCS = 13, 5
# Nombre de zone de blocs
NB_BLOCS = 5
# Position vertical des zones de blocs
BLOCS_Y = 450


TAG_CANON = 'c'
TAG_PROJECTILE_CANON = 'pc'
TAG_ALIEN = 'a'
TAG_PROJECTILE_ALIEN = 'pa'
TAG_BLOC = 'b'
TAG_SOUCOUPE = 's'
TAG_BASE = 'bs'


DELAIS_DEPLACEMENT_SOUCOUPE = 4, 10
DELAIS_APPARITION_SOUCOUPE = 5000, 9000
TEMPS_EXPLOSION_SOUCOUPE = 100
POINTS_SOUCOUPE = 150
SOUCOUPE_Y = 40


DELAI_TRANSITION_NIVEAU = 5000
