import random

class Decors :
    def etoiles(self, y2, y=0, nombre=100) :
        ''' Crée des étoiles pour que le fond ressemble à un univers '''
        # Tailles des étoiles
        tailles = (4, 3, 3, 2, 2, 2, 1, 1, 1, 1, 1, 1)
        ry = y
        couleurs = ('#ffffff', '#f5f5f5', '#fafad2', '#b8860b')
        largCan = int(self['width'])
        for _ in range(nombre):
            x = random.randrange(0, largCan)
            y = random.randrange(ry, y2)
            taille = random.choice(tailles)
            self.create_rectangle(
                x, y, x+taille, y+taille,
                fill=couleurs[taille-1],
                width=0,
            )


    def soleil(self, x=-100, y=30) :
        ''' Crée un astre de type soleil '''
        if x < 0 :
            x = int(self['width']) + x
        if y < 0 :
            y = int(self['height']) + y
        t = 80
        for i in range(120, 241, 10):
            couleur = '#{:02x}{:02x}{:02x}'.format(i, i, 0)
            self.create_oval(
                x, y, x+t, y+t,
                fill=couleur,
                width=0,
            )
            x += 2
            y += 2
            t -= 4
