import tkinter as tk
import ressources
from elements import texte
from constantes import *

class Score :
    def __init__(self, canevas) :
        self._polices = ressources.Polices()
        self._score = 0
        self._canevas = canevas
        self._texte = texte.Texte(
            self._canevas,
            LARGEUR_ECRAN - 25, HAUTEUR_ZONE_INFO / 2,
            '0' * LONGUEUR_SCORE,
            self._polices.police('infos'),
            C_SCORE_CHIFFRE,
            C_SCORE_CHIFFRE_CONTOUR,
            anchor=tk.E,
        )
        coords = self._texte.coords
        texte.Texte(
            self._canevas,
            coords[0] - 20, HAUTEUR_ZONE_INFO / 2,
            'SCORE',
            self._polices.police('infos'),
            C_SCORE_TXT,
            C_SCORE_TXT_CONTOUR,
            anchor=tk.E
        )

    def incrementer(self, points) :
        self._score += points
        self._texte.texte = '{:0{}}'.format(self._score, LONGUEUR_SCORE)

    score = property(lambda s: s._score)
