module MODJeuInfos
    class Score
        require 'tk'
        require './ressources'
        require './constantes'
        require './elements/texte'
        attr_reader :score
        def initialize canevas
            @canevas = canevas
            @polices = MODRessources::Polices.new
            @score = 0
            @texte = MODElements::Texte.new(
                @canevas,
                LARGEUR_ECRAN - 25, HAUTEUR_ZONE_INFO / 2,
                '0' * LONGUEUR_SCORE,
                @polices.police(:infos),
                C_SCORE_CHIFFRE,
                C_SCORE_CHIFFRE_CONTOUR,
                :anchor=>:e,
            )
            coords = @texte.coords
            MODElements::Texte.new(
                @canevas,
                coords[0] - 20, HAUTEUR_ZONE_INFO / 2,
                'SCORE',
                @polices.police(:infos),
                C_SCORE_TXT,
                C_SCORE_TXT_CONTOUR,
                :anchor=>:e,
            )
        end

        def incrementer points
            @score += points
            @texte.texte = "%0#{LONGUEUR_SCORE}d" % @score
        end
    end
end
