from struct import pack, unpack
from constantes import *

class Fichier() :
    @classmethod
    def charger(cls) :
        try :
            with open(FICHIER_SCORES, 'rb') as f :
                d = f.read()
                scores = tuple(
                    unpack('<I', d[i:i+4])[0] for i in range(0, len(d), 4)
                )
        except FileNotFoundError :
            scores = ()
        return scores

    @classmethod
    def enregistrer(cls, score) :
        if not score : return
        with open(FICHIER_SCORES, 'ab') as f :
            f.write(pack('<I', score))
