module MODB64Images
    IMAGES = {
        :alien_bleu_1 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkwHAvL9lUA'\
            'AACGSURBVFjD7ZbdCYAwDAYbcRLncAhH7RDO4Sq6gIX8gKnh8tySo/lSTlqg+nndmnPHvom3'\
            'x9ImLwDTALX5i5ZkwFiWhgyWB5TMBdDkkhHXz6Amb6N8eGXBknFGDOAvloQXBHBWYdWKZ+T+'\
            'mvEqGDWAVqP+wmYwamTBY8Dej/rt3qgHIy4P+AC/v0I0KZuwGgAAAABJRU5ErkJggg=='
        ),
        :alien_bleu_2 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkwODfIEoQA'\
            'AACHSURBVFjDY2SgAGw4cu8/MeoCbJQYybWDiWGQg1EHDpgDiU1/lALGgXAMKZlmNA0Oewcy'\
            'DmQGICZdjkbx8E+DxKQ3XOmD3MYCKWl8NIpHHTgkMsloCI46cLA2WIlteFKin2UgQmW0RT0k'\
            'HEjJaAHVW9TUdgy2TDPaoh4tqOlZUI+Wg6MORAIA5gI3khhfAzAAAAAASUVORK5CYII='
        ),
        :alien_bleu_explosion => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkxOC7TI8UA'\
            'AAFnSURBVFjD5VjbDcMwCCRWJukcHaKjZojMkVXSL0su4nEQnFaqpap52GceB5gQAWPbj7P/'\
            '9x9/rq3h67S147txNA7KgYmIXs/H0p/16xF4fM/nac/6tTTPtZamjWadiBcsa0lzm+YqrhkH'\
            'RISUrCx5xdtbdHHEMpKwmkKWotL94pnY4gifN1pHU3DE43MgPnoRKnHUimLEchbvV01DSRst'\
            'YhFu8nVo5LubWLksg+FxMpxuPBBvAy+9oAqnhM4AZzJFaZKNuLpMwGrwCJdbdpNwDb2C4ZWq'\
            'bP2NRjaEP4UXV2iEVoY7BRuvW6ZazBbsw0BoTfyGe7f9OFf6kcENBZ0J/3ZEDNCy0VVd12+t'\
            'vzMOGemeeFYNhl3Me42qWlx+1JoR2WnsSMuoucw63pfwO9LHakf5aE9dyhEteND2c3oxqEpD'\
            'nuAtypnMFwhUCekbTihfoW69ErEuNvpp7OrRLNUfZwmPKJK18BsfjjgIhXnYvwAAAABJRU5E'\
            'rkJggg=='
        ),
        :alien_vert_1 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkuCMVQHfcA'\
            'AACkSURBVFjD7VjBDcAgCJSmEzgpozCpK9ivadIUQSxV+Jno5QLHoabEDCpUqVBNyujFAS5o'\
            'u8aMICXXi3Mk57EGQWlJR2CaammEdkOD0wlqvFByFqxJaRvFfYnPNjsWdqKVgv8MSnR3z/TT'\
            '3rd9nOqFD35CUGI7Uqtyn0GwMuFtNAjW40w7Bv/dxZgRLMcfBz9uM/t08ewyx6suNLhUk8Tv'\
            'VhA0jAs/R2eBr7Pm9AAAAABJRU5ErkJggg=='
        ),
        :alien_vert_2 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkuMgNcxEUA'\
            'AACaSURBVFjD7ZjRDYAgDESpcQIm7ShMygr4ZWKIEVrAQLn78qPqQe+plZxCIYZ0H7Nnqq2t'\
            'qc91uMlly2CIIeUta4mHiR2k3ivW6AscQAKD00HyBxQSYNBi+xnUZO6Zk9L5eabMvepgcE9I'\
            'JBD0fDi/3Wu9FkuHmtHfhYBkuMGRLWfPVLr+qckGBncY3OnPQvPgLoUEgzsMrmbwAvTaTl24'\
            'Ob1PAAAAAElFTkSuQmCC'
        ),
        :alien_vert_explosion => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkvJgCdIXkA'\
            'AAFdSURBVFjD1VhbEsMgCAxOT+BJOUpP2iu0X85YK7iLmqT5iZMorMtD5DiM5/l6vsu7Hrf/'\
            'vaestdbX/yydJigPNDIXXdvKMcGNhHnMoEyiTNOAWKYjc9lNu+x5AHpKZtwAUuQp9PzVkxHZ'\
            'QJhyNEqtDXobeVhKNau0Autv5Xv5Vo8jLlTWUjIss0d8KmpWiShimfIAjWSl46RHs0prRmSj'\
            'CRW+IvLY0wcG2BMYMXNkDZ12wnlrJuddKvhfAEDH3C2YavJtQs7bM0H9JOpVEbrD1JpVBDkf'\
            'zwaoWb+JW5E+VgThHfyfLmAFFdbSfqWfhi4+u2RJ1BwzxSkjS1gFs6Zl3SSxwGbNzJZuiale'\
            '6qITvdVtSy29vgkLBuko0HkY6csgl/oog2GQox4N0vyxug4eSPHOw5lobO/MaKAMI5txWrSO'\
            'RNsfPTZTtHBlWBnlPc+l0s6qAk1JJX3V88v4AyoRhkA5vAD8AAAAAElFTkSuQmCC'
        ),
        :alien_jaune_1 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk2AT6XPQoA'\
            'AACZSURBVFjD7ZexDcAgDAT5iAFSsiEzZcOUbJBUaWiwjUWQ9V/H6BSfLUAS5rrPJzmmlgbJ'\
            'd3k1mDZH2jzbA+LvFo9cxG7O9cB0MP6QjJyTLtT+nFGd1HW2mA7yDxKQtxllrEMlXfjTgFZQ'\
            'KyAdXOag9jLgVc9XXXjArC2wrouvTqsMvIdhdo/yVRcGsJYGiT5Y5ZzVTbY4POALEThFY5DM'\
            'JQMAAAAASUVORK5CYII='
        ),
        :alien_jaune_2 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk2K+Us9NwA'\
            'AACbSURBVFjD7ZgxDsAgCEWl8QAde8OeqTfs2Bu0UxcWAQkS8v8s+iMPIlIT6rr3tznqPB6S'\
            'rOvRxrTaWnKlN0irUzxikbIxxw2DwfpFMmJO2lD5PqM4KetIMRjEDcIgXjNKWYtK2vCnDVqN'\
            'Wg2CwTAGtY8Br3hMdeUNdm2AtV38cVpkyLsYZvsoprrlDEb/MLh9ffADvKZFMFje4AcLw0Vl'\
            '3Xxt8wAAAABJRU5ErkJggg=='
        ),
        :alien_jaune_explosion => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk3CSlXhHkA'\
            'AAFsSURBVFjDzVhbDsIwDGurHYBPbsiZuCGf3AB+QAolDzvNplWa2EbquqmTpmvt0+6Py0v+'\
            'am22kbZaP2mnXd4YLSLh/T8PEoKigyuT757R7frsERhiI58te8gucr9mg0jCs5vfIxz+gJnn'\
            'CnKMbGBNsjYaGQ1nrJLz7qWWpaakdmU/TXcjQ04Lovle85hl29iGCj/yppUHM+mnsbmPnSgS'\
            'WFrr6ECoZrw8qZGKMHpmyVO6MfQbJfulKM6Qm1diZbJhUl3BWZp8utIoyhT7di4YS77rlQFQ'\
            'pU/5brQTNW1/HtHGfuRyQ6zZ3eIoXR7qLaRIPYOjDnT9jlgbA/St8yr2YrT1LChLki0SYIIV'\
            '5FbwwkQ9nyeQ7SnCm59pbUcVB5I3LQwtlXgEOxMgbCGL9JceTEsH+diDbpGW18pSmLd0zJex'\
            '1OcUtEgoqYqB4+pPFFsnNysSWXKWfZQh+t55bPWAtGkgHiDqZVb8VsS/AQ8iTE3AoCuGAAAA'\
            'AElFTkSuQmCC'
        ),
        :alien_orange_1 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkyLB8kpHsA'\
            'AACYSURBVFjD7ZhdDoAgDIOL4cgegzvPV4KJ22D4g90zLU32OQHAUFIgUiAIKo9fspidRLuu'\
            'i/Lb8PL6fsCRdlq8Nf/UMmEJVGu09V7/dj0ZvDVgxDz06vOoYU9gD5dkcPmAqYehmhlN3/Ll'\
            '3Y8tZsCnK49CPOOEwxb/a1BH/PzJIAMuPah7rp3Rt7qrD5Mt5ol65tMHGWRAAAcU30qWHkmg'\
            'MQAAAABJRU5ErkJggg=='
        ),
        :alien_orange_2 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkzDtNf1N4A'\
            'AACRSURBVFjD7VhbDsAgCAOzI+8Y3hl/F7cEecxobP8pVQpBiQYglUQqCSXBwscjZK+gW4/L'\
            '4iu0OPYXGCnnCLfGz1EfaQl6z1kPDA9OFZgxD63xnE3obRZ48FiB7PHY0zNafO8vaz6UGAK3'\
            'bBLcIAQm4ooO4sxl4StXmbnie7YaePDMJvnzKYptBj8L+FmABxdDAyvgPs2GOvHLAAAAAElF'\
            'TkSuQmCC'
        ),
        :alien_orange_explosion => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwkzMBI+yXUA'\
            'AAFkSURBVFjDzVhBEsMgCATenGfkz+nJGYeCLIhpOZlEVwIrIESGPDc9z00POTK+RfPmOdE8'\
            'D0+8zVcgfBGP53lsyfwdUVKLIMArK3aJhyfavEMxzzV8EY93+ie8TbyfnamSsrTmmFbUGnvv'\
            '9Hprcw+biHA3WlawrGt9R+lizROEH94GqItXHgr3zpDX4t+Kj2N+xfqwghkwFCvzo1w5/lUF'\
            's6cc4uBYzBdxh+XaAjUSAjIyuzXjDame4B05gdma4rrT5HvgldLqbeW+OB/l1beNpcfyL8p5'\
            'SnJ3pujmuFQD6OmDt5sY/iNCnOQjis2/tlR46cqC7vIioxxcLET3iJNu5or1Kie/WlfCCupy'\
            'qbNoLdNGXxs9l2Tcvaovj4WZSi9HK5pSDr1wI/MzOR7uKEQLUJdbHYYIK+wsZLoBGXJHuF7B'\
            'Ih2Fa9XSnvJzxBDrepnpFWbCh3ezW2UZ2emboJSIAvxq7QeDx8fOEK5OUQAAAABJRU5ErkJg'\
            'gg=='
        ),
        :alien_violet_1 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk0GobElmQA'\
            'AACYSURBVFjD7ZdLDsAgCAWh6cG5ud0aQwQ/tGofKxeio4xGiYwQkiQkiSaHd9zLGkRrzwbt'\
            'Blwh9gYUEo4GsObgwjNu8cW7AM2zWm7eHw6+Bhh1zVhxj0CNQHvdh4PHA3KLR6Ur3lzNMW8u'\
            'SgzArQ4JdhCAEQ6u8GKpXewo8b8cXMXF3MGQXxxe1Lv+6vjzQxLpXK/rcPB4wAeyUkE2T/jr'\
            'uwAAAABJRU5ErkJggg=='
        ),
        :alien_violet_2 => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk0MrNxPp4A'\
            'AACdSURBVFjD7ZjLEoAgCEWh8cP5c9u4cBpHCN91WbVIPQ0HQ4mUEJIoJJE6h3XeS5uk9Nwb'\
            '1A24Q5wNKCQ8GkBbg1t8sX5AyTPrWDg4DXDUNqMF7wBV8xEOfh6Q3zj3dMXqaMmx2tj8faQY'\
            'gMuLZNUfAikGYIpQ2yhXNQv5umF2iw8HAWgpkhnHUGsBIsXH3yw0neq8XbCnO4eDvwW8AVfL'\
            'N0GwQbJ8AAAAAElFTkSuQmCC'
        ),
        :alien_violet_explosion => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk1F+Fu25gA'\
            'AAFhSURBVFjD3VhJEsQgCARrHs7PnUsODOXSjWQ2q3JIRG1Ig4CIGybWZTL8nIl1/8hm7GTj'\
            'd//+QMBd8wqA0Mxaf/5S1gl1RAaxXrRi1srwRqjF2YOjDKw8w7EVMEYh/66ooOdG5FvQXBlu'\
            'xbVx7wZqpSMQg9+iDOdGBoiKNBTcyALXnAIerhuwSvEu47UIDzNOpihhV5bMKIzGR816Mhp8'\
            'A1+VBQk7CQtu4DSa4ViTN44qmhzfHh8ZVeCY2LhygP4NBjGx3mIMu5Uj2buYjU13AvPebmJ6'\
            'FKPexnE2+fwlp/xPjZDs+iirOQF8uh4qOSviW/ldXO1I6F4NBKYVoWdVy1QF0b7rBGT/xmyP'\
            'xoCbFTYMb0usOLibp3VFttOAenRDk8tZvbvJvDvbgcjUHh35fWzFlwaIFtyVjSN6/2wfZaf0'\
            '6PDVt5eykyktoV7eJM9brRmlem3RhtDTVsUsz2RK3CeIjqK46EWL9AAAAABJRU5ErkJggg=='\
        ),
        :soucoupe => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAASCAYAAAApH5ymAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk5OOYKqc0A'\
            'AAB6SURBVEjH3VZBCoAwDGuK//9yPAkiznW1zMxcR0dI0lBYAjRjZg5mGJ3xWeSywNeEeqq6'\
            'klolFs8GlJS7s3stBRUyd1Vy65JjIwwMdAEf3hnrEX2LVWxtWS1N8L89iOD2Y7AlluxBzwS3'\
            '4owquWbOllSTOP5+dc0oYAeGACAb+cpVdAAAAABJRU5ErkJggg=='
        ),
        :soucoupe_explosion => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAASCAYAAAApH5ymAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk6Jjcox20A'\
            'AAEYSURBVEjHrVZLFoQgDEt43v/KmcXoDJ+2FMSVCk1LSD/E4iNA9yu/n2DODCBAAWLO5udk'\
            'N8AdnKXgAODqHfcAOn9AF0AG0yViSHj9KH/WMYY7yHbhYVB/fSlgyyNEnUZlrA0YlkbpRM/O'\
            'OQOG2DniZJ93QFoaZUAxE7I5JQF6wJmE0InkmDDXsFyDF8OiFbZAaAhI0L1TkzCUOrArt8so'\
            'vlEC6AB7NBTbSEpVuaPsTIMjfL285pXs/hZ25QCjoLHa8lb0XDZaISdSyATD7C0wQHaHAtp9'\
            'mZkiHMjFbLVlt0VprkdNGgBnwTXDQtJp87MGlLHMEVMx3NhyORml2N2BqqvCyujU2ygxzQwM'\
            '9szI+c+NErNq8+z/AL08iBfDkh2OAAAAAElFTkSuQmCC'
        ),
        :canon_explosion => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAjCAYAAADmOUiuAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+IKAwk4M2jDQQQA'\
            'AAF8SURBVFjDtVg7csUwCATXr8iBPalyYN/AqZRxGAS7gNX4PQlJsFo+kohpP/J1r+/67ck8'\
            'x3dynmy52Q2zBa1MV0nYCMZaRI5BEFZwSjmGNtQxM8iwSrLtsB2nXIpOZmQRnnpfivRPhBEP'\
            'rlJnK1slNIIMG0XGSLxDuuNIlMeh8c3KIXNbDsTybMfhiMvI6Wlk2SmXrv+ex1rZZ3/m4Z4y'\
            'VFSo8KibZbw5B0p6VuEMcY+zbFxNvbzi8d5a0ToHs7i1kLHYGnbKpWXEuseLprJ2jTiR4tiY'\
            '546zk0atT/b7F+d2m45wJeCzF0+XjCJI7ELGhOLR/qdcqjvBheg0epmiWfaCAnaVg0h+tmNq'\
            'tfcsivJuFSV0jla5sttk0SJyhDccT9BSaupS9pfqvuVzn/K5uxUJ0j+W3rKNoqLBq8g7LwqK'\
            'BlIbQLulV8vxkNyb5eUMPTg/d/jHxE2kGH6tsqmU8+lLQhcVtvqJlKAcq3MXnrhMhePoZfuN'\
            't5md0b8zduB89yzunAAAAABJRU5ErkJggg=='
        ),
        :canon_degats => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAcCAYAAAATFf3WAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+ILExQyMQWlhq4A'\
            'AASQSURBVFjDzZfpTxtXFMV/Mzarl2GxDQFCaAJMo6ZVG6nz/3921VZNF2KylCUQaNhsvAFe'\
            '+uGe5xlMFDWpP/Aka+TZ3nnnnnPuG48RjK01+hACFewIUOHpDt7/fbfPSMba7b8/MrLhj4a9'\
            'S/2bgAioAYS6dh8YHCvAcoLJvXvEIACzQB6IYBpY+hZ4NBqA6ZFJ8AR4D80p4CGG9N4wWAXe'\
            'wsSmQF46Hd4XgIEdJoGxSHXp3SeAWzGRY0DBlXkEw/v8WNnom+CmgEOdDeGZlZcC5AOobQMX'\
            'u0D71vOfG97+l5BejEoUolx8KiVwp8Cx5HeBWTkKgcUvdk36buh+aoSQgw/DD84oVtICVh5+'\
            'bkKr4D+Fd5Ll9EdBFDEU7ABXdi6yq4vA0QFkl0USC+YOTyCPge+Bv4HqO2BF9mnBVGhEnlYh'\
            'ExB8Y7qNF3TmJv5Uidu650zgBLRm4K6B8QE4wJuBA+BnyGLSTI27PUMuMXkHWmD85aEBHRRH'\
            '08j29bslvkv5gcqRxH4FL+EkMpdeN4B3MeG0bQ09jKi03NwmAHYH5YVrWB+HFx60BTBtzM/m'\
            'fM7/XIVG5ZYMPlLijn5urAzQdDrQS0MqA905oFqEt5JYaKBwvN8kKjK4UoOrAmwCL+Dq2BTC'\
            'ezjPAfNAN4TvxGwbfHPZ2ickm9FxF15BrwLdP6QxUlbzVUgFcu8TgRsbdtGUJeVvkuSCyP1L'\
            'wC71XE+5OgHZEvimkaOPuE4EB0gkk1AQgGcmLwjMPP9AF+jXITtv4Ip3qrKqlnMIvyc2E3VF'\
            'VFeyvxbYHaj/BL7tgttDAF195iXFrP2KMOtEcZm4/YNpjzdDHeBr9+9cx4I92Dow84zr9DGw'\
            'nfAkN2bv/i0njDtaEo30WO/uWqmv4byHMUAtdorz1AOoX9pEHWA+T+IT4K3hI9RqKnD9Zkjv'\
            'gw2myQDwyYTAuvx/eTcT3QMO5wcRSh5oGBMPgX2YKYGXM7BnXdUhcvfewEnd7l1Y17s7ov1I'\
            'pNTi9lkEfgCfxhnwOmm7hHvdFiCwOXytoQiUhkp8Bk1XWs1bkzXIP4gjbP+9XY8cAWnN8Upt'\
            '6MY2l/t78Os2/nBy2yip5Gcqh5xXFdlZN/OYqbyplDuB3o7unTDztMpOi6G0UIPTCpRbFhCP'\
            'nujahOZqq6nngM3hTuLL87OqZ8fo8uSuEjguggWAxwZyTidPDBR1YEmdUq3sYQQU1xOy2YNG'\
            'xaJmGsisKSImFW1N4Ag/3nHNAxtyWlN1y9iql8HftJC4ULfoJyPplHgb81g5Nvhweg3U2D+E'\
            'xa+wkCbUCuz7mWYFGq5v9E3b1IEqfjzVZJz2dEz5pQw8hcUl6B1BtQytjpF25bQ/MIIX5xqH'\
            'JoEIaSIP7+CorMyeVp+mYNZnUeJuwlDn9bbWQp3pq/5TENn7W8eirKrNQzBnpE5Ly7uYuL0N'\
            'A1utCFAKnovJPta6yooaHsNzSKehU0ZsZSy4dyXrm3jhPsUEAyUDFyBxHzpiO8AclMBbgfwc'\
            'eAvO4RtQhCCMS5qNlBwFA7c4YFnfAb8IXOQov5Gm1QKjODr/BUXSbFhB2tprAAAAAElFTkSu'\
            'QmCC'
        ),
        :canon => (
            'iVBORw0KGgoAAAANSUhEUgAAACgAAAAcCAYAAAATFf3WAAAABGdBTUEAALGPC/xhBQAAAAZi'\
            'S0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB+ILExQ3Etq1A5kA'\
            'AARASURBVFjDzZfLcuQ0FIY/Wb51EucNqILVFI9BcdmEBQveFFYD78ESniHuTtqW7Z/FOWor'\
            'XUDNVELNONVlSZbO9T//UQJv8Hz940+CW+ARuPfVR/749ZfwWtnVWxgoDqj8u7f3WzyvNvDd'\
            'w4OkBQUhtWgQWoQ08O7h4dVW1q+OngQxQiM4tyDBGSyA+vQRRIIoqASDbH4Q9D7+9BEEWmAB'\
            'Zne5BcKbBPCNUrwITl7ARzdy5XOJoKdXHrFbYPPxZ2EggifliT0BaIDz6w38aCL96oefBcnz'\
            '+ORW3VvkkrscsUpOEzC9OP/n+/fhf42gJBj82BgNbJVghjBbetV7wdDC0MK4EljRlbEfHcEv'\
            'v/v+P3ISgRtz6eBL42iRbG+tcmcvjrU4NgDj5mX+YQb+9ftv4R8jKMkkZmVMnrc7U5RBNjmV'\
            'SEBn65lujl4oE5BmUAsKFtp4Z8hIK9SxcDRbsADP/07UEkgbmkBabKyANKElfwc1xThE2z/m'\
            'uRdwB1Lc17UUMiJKPl5AsdB9lcPwxTffXi01nvngHuXnxqPoNDID6Qw3vc3POZ3s+8Yc7izr'\
            'AEOw2lp9X6ak6MFbxusiqQtDKj9R+ZrMMMu3TYN/roFU7/pvrlB9cTvLc/ZWDT1G7MnjkdzA'\
            'GtBgslY7WmvoYZSDR96hDOmB6CsrcCacOwgOvcW72SYTmMHSm3EhZDsXX9yARDhGNDhezy6n'\
            'B60QHMo8+5EINY8UTTT4Pa4GVkR0D2v7lr0MJkRLhDvPYuc2xKJHiyKc1rDFDKd2T0zyGqpB'\
            '6YoBVqgMEHMhSK4puLYir43MTbz/5v2zYJN3juJ3I3c8FUBbYJ0sa1Vx/kmwFvqTyaz20opF'\
            'eea1ZLYLULUD+oTlRPNufyatpQB+Bejg8ibLhg6gDXSE5ex6uPoFPwsV9WA8B+w3zSy9f4l8'\
            'FYAmWm5Hz97kgI9XRTJkYM4wbzZse9cpb5dpz2keN7al1pLMu7C50EAgAB0KskhhN+YQLBhG'\
            '0sBcWcozdvoCIclxCRBrWCorxOce2oZwBxp7CBPomcCEaPZKOW/ARoWevYHu3U90Vr3K+bIg'\
            'KrkRmTWI5sBWRHcqKjo5Fx6cR+2KA/MJjZtBouuAAWV8KPm7AvVUe1nmO1KXCcl/9QUPNFd8'\
            'TmfW1IVBOZpt0XqPnuq2L1j8BMuToaoG6s49aQo+TtRSxlhbtObV0e7zRg7wK+7NWJs8fKkx'\
            'HScXtzmu1cAUbS0CT5mJZ7M+VcUNRC8uFZW5XGpcd95qqz0z6cLle9XGshCK48wm7lIg0XSO'\
            'fuZSZI1/b/fWcX0flIbCcmfaoUjZnAtrgabeOT1jjjMce6gbSCNMd6YwAidBFczJUSbssbMC'\
            'Dvk+6YzRO4nEDlavrkFUtP7vIkAbfCwTmDIxu+G1oJW9G+93dDbvtdPG4GcbnKzlTjtOji5/'\
            'YCfOxvc12m2Y4G+QvGL37BeSjAAAAABJRU5ErkJggg=='
        ),
        :fond_message => (
            'iVBORw0KGgoAAAANSUhEUgAAADIAAAB4AQMAAACKMjP4AAAABGdBTUEAALGPC/xhBQAAACBj'\
            'SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAABlBMVEUyzTL+/v7I'\
            'Ek7bAAAAAXRSTlNm5DccCwAAAAFiS0dEAf8CLd4AAAAJcEhZcwAACxMAAAsTAQCanBgAAAAH'\
            'dElNRQfiDAYUEwua0TFCAAAAEUlEQVQoz2NgGAWjYBQMVQAAA8AAAXZcbLQAAAAldEVYdGRh'\
            'dGU6Y3JlYXRlADIwMTgtMTItMDZUMjE6MDI6NDcrMDE6MDBAJLeYAAAAJXRFWHRkYXRlOm1v'\
            'ZGlmeQAyMDE4LTEyLTA2VDIxOjAyOjQ3KzAxOjAwMXkPJAAAAABJRU5ErkJggg=='
        ),
    }
end
