module MODDecors
    def etoiles y2, y:0, nombre:100
        # Crée des étoiles pour que le fond du canevas ressemble à un espace
        rd = Random.new
        # Tailles des étoiles
        tailles = 4, 3, 3, 2, 2, 2, 1, 1, 1, 1, 1, 1
        indMaxTailles = tailles.length - 1
        ry = y
        couleurs = '#ffffff', '#f5f5f5', '#fafad2', '#b8860b'
        largCan = width.to_i
        (0...nombre).each {
            x = rd.rand(0..largCan)
            y = rd.rand(ry..y2)
            taille = tailles[rd.rand(0..indMaxTailles)]
            create(
                :rectangle,
                x, y, x+taille, y+taille,
                :fill=>couleurs[taille-1],
                :width=>0,
            )
        }
    end

    def soleil x:-100, y:30
        # Crée un astre de type soleil
        if x < 0
            x = width.to_i + x
        end
        if y < 0
            y = height.to_i + y
        end
        t = 80
        (120..240).step(10) {|i|
            couleur = '#%02X%02X%02X' % [i, i, 0]
            create(
                :oval,
                x, y, x+t, y+t,
                :fill=>couleur,
                :width=>0,
            )
            x += 2
            y += 2
            t -= 4
        }
    end
end
