class Elements :
    _elements = dict()

    @classmethod
    def set(cls, nom, objet) :
        assert nom not in cls._elements
        cls._elements[nom] = objet

    @classmethod
    def get(cls, nom) :
        return cls._elements[nom]

    @classmethod
    def items(cls) :
        return tuple((n, v) for n, v in cls._elements.items())

    @classmethod
    def clear(cls) :
        cls._elements.clear()

    __getitem__ = __getattr__ = get
    __setitem__ = __setattr__ = set
