import tkinter as tk
from elements import texte
import ressources
from constantes import *

class Vies :
    def __init__(self, canevas) :
        polices = ressources.Polices()
        self._canevas = canevas
        self._vies = '♥' * NB_VIES
        tid = texte.Texte(
            self._canevas,
            25, HAUTEUR_ZONE_INFO / 2,
            'VIES',
            polices.police('infos'),
            C_VIES_TXT,
            C_VIES_TXT_CONTOUR,
            anchor=tk.W,
        )
        coords = tid.coords
        self._texte = texte.Texte(
            self._canevas,
            coords[2] + 20, HAUTEUR_ZONE_INFO / 2,
            self._vies,
            polices.police('infos'),
            C_VIES_ITEM,
            C_VIES_ITEM_CONTOUR,
            anchor=tk.W,
        )

    @property
    def vies(self) :
        return len(self._vies)

    def decrementer(self, valeur=1) :
        self._vies = self._vies[0:-valeur]
        self._texte.texte = self._vies
        return self.vies
